Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class SearchWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protegex.queries_tab.SearchWidget

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class SearchWidget

extends JPanel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected int` | `searchStyle`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SearchWidget(QueriesTab tab, KnowledgeBase kb)`
`SearchWidget(QueriesTab tab, KnowledgeBase kb, String[] slotNames, String[] slotTypes, Collection slotCol)`

Method Summary
`void` | `clearSearch()`
`void` | `clearSearchObjectContent(String name)`
`void` | `dispose()`
`void` | `enableQueryButton(boolean b)`
`JComponent` | `flowWidgets()`
`int` | `getAddStyle()`
`Cls` | `getCls()` return the specified cls in this searchWidget.
`String` | `getDisplayedSlotName()`
`Collection` | `getInstances(Cls cls)`
`Collection` | `getInstances(Cls cls, int type, Slot slot)`
`KnowledgeBase` | `getKB()`
`SlotValueWidget` | `getMatchSlotWidget(String slotType)`
`String` | `getQueryName()`
`ClassSelectWidget` | `getSearchClass()`
`String` | `getSearchConstraint()`
`SlotValueWidget` | `getSearchObject()`
`String` | `getSearchSubject()`
`Object[]` | `getSelectedObjects()` Get the selected Objects for the Query.
`String` | `getSelectSlotName()`
`SlotsModel` | `getSlotsModel()`
`String` | `getSlotType()` return type for the selected subject
`QueriesTab` | `getTab()`
`Object` | `getTargetValue()`
`JComponent` | `getValueWidgets(int i)`
`boolean` | `isReady()`
`void` | `removeMouseListener()`
`Collection` | `search()` Search method in the searchWidget.
`Collection` | `search(Collection instances)`
`void` | `setClass(Instance instance)` This is used to set whole class
`void` | `setClass2(Instance instance)`
`void` | `setData(Cls cls)` Set the suitable data for each slotvaluewidget.
`void` | `setData2(Cls cls)` Set the suitable data for each slotvaluewidget.
`void` | `setObjectsViewEnabled(boolean b)`
`void` | `setReady(boolean b)`
`void` | `setSelectedObjects(Object[] objs, String[] names)`
`void` | `setSelectSlotName()`
`void` | `setSize(int width, int height)`
`void` | `setViewEnabled(boolean b)`
`void` | `setWidget(int index)` Setup which one is displayed.
`void` | `updateSearchWidget(String currentName)` Update the corresponding search methods and the slotvaluewidgets.
`void` | `updateWidget(int index)` Setup which one is displayed.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### searchStyle

    protected int searchStyle

Constructor Detail

### SearchWidget

    public SearchWidget(QueriesTab tab,
                        KnowledgeBase kb)

### SearchWidget

    public SearchWidget(QueriesTab tab,
                        KnowledgeBase kb,
                        String[] slotNames,
                        String[] slotTypes,
                        Collection slotCol)

Method Detail

### clearSearch

    public void clearSearch()

### clearSearchObjectContent

    public void clearSearchObjectContent(String name)

### dispose

    public void dispose()

### enableQueryButton

    public void enableQueryButton(boolean b)

### flowWidgets

    public JComponent flowWidgets()

### getAddStyle

    public int getAddStyle()

### getCls

    public Cls getCls()

  return the specified cls in this searchWidget.

### getDisplayedSlotName

    public String getDisplayedSlotName()

### getInstances

    public Collection getInstances(Cls cls)

### getInstances

    public Collection getInstances(Cls cls,
                                   int type,
                                   Slot slot)

### getKB

    public KnowledgeBase getKB()

### getMatchSlotWidget

    public SlotValueWidget getMatchSlotWidget(String slotType)

### getQueryName

    public String getQueryName()

### getSearchClass

    public ClassSelectWidget getSearchClass()

### getSearchConstraint

    public String getSearchConstraint()

### getSearchObject

    public SlotValueWidget getSearchObject()

### getSearchSubject

    public String getSearchSubject()

### getSelectedObjects

    public Object[] getSelectedObjects()

  Get the selected Objects for the Query.

### getSelectSlotName

    public String getSelectSlotName()

### getSlotsModel

    public SlotsModel getSlotsModel()

### getSlotType

    public String getSlotType()

  return type for the selected subject

### getTab

    public QueriesTab getTab()

### getTargetValue

    public Object getTargetValue()

### getValueWidgets

    public JComponent getValueWidgets(int i)

### isReady

    public boolean isReady()

### removeMouseListener

    public void removeMouseListener()

### search

    public Collection search()

  Search method in the searchWidget.

### search

    public Collection search(Collection instances)

### setClass

    public void setClass(Instance instance)

  This is used to set whole class

### setClass2

    public void setClass2(Instance instance)

### setData

    public void setData(Cls cls)

  Set the suitable data for each slotvaluewidget.

### setData2

    public void setData2(Cls cls)

  Set the suitable data for each slotvaluewidget.

### setObjectsViewEnabled

    public void setObjectsViewEnabled(boolean b)

### setReady

    public void setReady(boolean b)

### setSelectedObjects

    public void setSelectedObjects(Object[] objs,
                                   String[] names)

### setSelectSlotName

    public void setSelectSlotName()

### setSize

    public void setSize(int width,
                        int height)

  Overrides:
    `setSize` in class `Component`

### setViewEnabled

    public void setViewEnabled(boolean b)

### setWidget

    public void setWidget(int index)

  Setup which one is displayed.

### updateSearchWidget

    public void updateSearchWidget(String currentName)

  Update the corresponding search methods and the slotvaluewidgets.

### updateWidget

    public void updateWidget(int index)

  Setup which one is displayed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request